Bug 877012 - CVE-2012-3509 binutils: in bundled libiberty [fedora-rawhide]
CVE-2012-3509 binutils: in bundled libiberty [fedora-rawhide]
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: binutils (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nick Clifton
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-3509
  Show dependency treegraph
 
Reported: 2012-11-15 09:35 EST by Jon Ciesla
Modified: 2013-07-01 12:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-01 12:09:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jon Ciesla 2012-11-15 09:35:17 EST
This package bundles libiberty, and may need to be patched based on the patch referenced in 860769.
Comment 1 Vincent Danen 2012-11-15 11:54:23 EST
For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=849693,877012
Comment 2 Fedora End Of Life 2013-04-03 12:29:50 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Jeff Law 2013-07-01 12:09:19 EDT
This was fixed for F19 by this patch:

2012-09-18  Florian Weimer  <fweimer@redhat.com>

        PR other/54411
        * objalloc.c (_objalloc_alloc): Add overflow check covering
        alignment and CHUNK_HEADER_SIZE addition.

Note You need to log in before you can comment on or make changes to this bug.